:root {
    --clr-main: #4b33a8;
    --clr-main-light: #876cf3;
    --clr-white: #ececec;
    --clr-gray: #e2e2e2;
    --clr-red: #da1313;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
}
h1, h2, h3, h4, h5, h6, p, a, input, textarea, ul {
    margin: 0;
    padding: 0;
}
ul {
    list-style-type: none;
}
a {
    text-decoration: none;
}
.wrapper {
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: var(--clr-main);
}
aside {
    padding: 0 0 2rem 2rem;
    padding-right: 0;
    color: var(--clr-white);
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
img {
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */
    user-select: none;
  }
  aside header {
    width: 90%;
    margin-top: 1rem;
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
}
.logo {
    max-width: 180px;
    display: flex;
    justify-content: end; 
    align-items: center;
}
.logo-img {
    aspect-ratio: 1/1;
    width: 80%;
    border-radius: 50%;
    box-shadow: 0 0 10px 0 rgba(121, 92, 237, 0.9);
}
.menu {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}
.boton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 1rem;
    font-weight: 600;
    padding: .5rem 1rem;
    font-size: 1rem;
    width: 100%;
}
.boton-menu.active {
    background-color: var(--clr-white);
    color: var(--clr-main);
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    position: relative;
}
.boton-menu.active::before {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    bottom: 100%;
    right: 0;
    background-color: transparent;
    border-bottom-right-radius: .5rem;
    box-shadow: 0 1rem 0 var(--clr-white);
}
.boton-menu.active::after {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    top: 100%;
    right: 0;
    background-color: transparent;
    border-top-right-radius: .5rem;
    box-shadow: 0 -.7rem 0 var(--clr-white);
}
.boton-menu > i.bi-hand-index-thumb-fill,
.boton-menu > i.bi-hand-index-thumb {
    transform: rotateZ(90deg);
}
.numerito {
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .15rem .25rem;
    border-radius: .25rem;
}
.boton-carrito.active .numerito {
    background-color: var(--clr-main);
    color: var(--clr-white);
}
.texto-footer  img{
    margin-left: 5px;
    aspect-ratio: 1/1;	
    border: 1px solid var(--clr-white);    
}
main {
    background-color: var(--clr-white);
    margin: 1rem;
    margin-left: 0;
    border-radius: 2rem;
    padding: 1.5rem 3rem 3rem;
}
select{
    white-space: pre-wrap;
    border: none;
    outline: none;
    font-weight: 500;
    border-radius: 1rem;
    scroll-behavior: smooth;
}
.searchDiv-main{
    color:var(--clr-main);
    font-size:1.5rem;
    background-color:var(--clr-white);
    border-radius:1rem;
    border: 2px solid var(--clr-main);
}
.searchBtn-main{
    color:var(--clr-main);
    margin:auto;font-size:1.5rem;
    background-color:var(--clr-white);
    border: none;
}
.search-main{
    color:var(--clr-main);
    margin:auto;
    font-size:1.5rem;
    background-color:var(--clr-white);
    border-radius:1rem;
    border:none;width: 70%;
}
.search-main:focus {
    border:none;
    outline: none;
}
.search-main::placeholder{
    color: var(--clr-main);
    font-size: 1.2rem;
    margin-left: 1rem;
}
    
.select-mobile{
    white-space: pre-wrap;
    color: var(--clr-gray);
    margin: .5rem;
    width: 16rem;
    height: 4.5rem;
    background-color: var(--clr-main);
    font-size: 1.5rem;
    border: none;
    outline: none;
    font-weight: 500;
}
.select-main{
    color: var(--clr-main);
    margin-right: 1rem;
    width: 17rem;
    font-size: 1.5rem;
    background-color: var(--clr-white);
}
option{
    background-color: var(--clr-gray);
    color: var(--clr-main);
    border: none;
}
.selectPrincipal{
    background-color: var(--clr-gray);
    color: var(--clr-main);
    font-weight: 700;
}
.titulo-principal {
    display: none;
    color: var(--clr-main);
    margin-bottom: 2rem;
}
.titulo-principal-carrito{
    color: var(--clr-main);
    margin-bottom: 2rem;
}
.contenedor-productos {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
    min-height: 75vh;
    opacity: 1;
    transition: all 1s ease-in-out;    
}
.contenedor-productos.loading {
    opacity: 0;    
    position: relative;
    pointer-events: none; 
}
.producto{
    position: relative;
    border-radius: 1rem;
}
.producto-imagen {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 1/1;
    border-radius: 1rem 1rem 0rem 0rem;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5);
    object-fit: cover;
}
.producto-informacion-boton {
    font-size: 1.5rem;
    border: none;        
    cursor: pointer;
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.3));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    color: var(--clr-main);
    text-decoration: none; 
    position: absolute;
    top: 0; 
    left: 0;
    border-radius: 50%;
    outline: none;
    line-height: 0;    
}
.producto-detalles {
    background-color: var(--clr-main);
    color: var(--clr-white);
    padding: .5rem;
    border-radius: 0rem 0rem 1rem 1rem;
    margin-top: -.5rem;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: .25rem;
    height: 10rem;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5);
}
.producto-titulo {
    max-height: 54px;
    font-size: 1rem;
}
.producto-detalles > * {
    flex: 1;  /*Se agreaga para verificar*/
}
.producto-agregar {
    border: 0;
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .3rem;
    font-weight: 800;
    text-transform: uppercase;
    border-radius: 2rem;
    cursor: pointer;
    border: 2px solid var(--clr-white);
    transition: background-color .2s, color .2s;
}
.producto-agregar:hover {
    background-color: var(--clr-main);
    color: var(--clr-white);
}
.header-mobile {
    display: none;
}
.close-menu {
    display: none;
}
.disabled {
    display: none;
}
/** loader **/
.loader {
    border-radius: 50%;
    position: absolute;
    top: 20%;
    left: 20%;
    height: 50%;
    width: 50%;
    animation: rotate_3922 1.2s linear infinite;
    background-color: var(--clr-main);
    background-image: linear-gradient(var(--clr-main), #84cdfa, #5ad1cd)
}
.loader span {
    position: absolute;
    border-radius: 50%;
    height: 100%;
    width: 100%;
    background-color: var(--clr-main);
    background-image: linear-gradient(var(--clr-main), #84cdfa, #5ad1cd);
  }
  .loader span:nth-of-type(1) {
    filter: blur(5px);
  }
  .loader span:nth-of-type(2) {
    filter: blur(10px);
  }
  .loader span:nth-of-type(3) {
    filter: blur(25px);
  }
  .loader span:nth-of-type(4) {
    filter: blur(50px);
  }
  .loader::after {
    content: "";
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    background-color: var(--clr-white);
    border: solid 5px var(--clr-white);
    border-radius: 50%;
  }
  @keyframes rotate_3922 {
    from {
      transform: rotate(0deg);
    }

    to {
      transform: rotate(360deg);
    }
  }
    /*Dialogo*/
.glassEffectDialog {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    outline: 1px solid rgba(255, 255, 255, 0.18); 
    transition: all 1s ease .5s;  
    z-index: 1000;  
}
.dialog {
    margin: auto !important;
    display: flex;
    position: fixed;
    max-width: 600px;
    background-color: var(--clr-main);
    color: var(--color-white);
    border: none;
    border-radius: 1rem;
}
.dialog-imagen{
    object-fit: cover;
}
.dialog-text{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding: 20px;
    color: var(--clr-white);
}
.dialog-descripcion{
    padding: 10px 0;
    font-weight: bold;
}
.dialog-descripcionCompleta{
    padding: 10px 0;
}
.dialog-details{
    padding: 10px 0; 
}
.dialog-buttonClose{
    font-size: 1.7rem;
    border: 0;        
    cursor: pointer;
    background-color: var(--clr-main-light);
    color: var(--clr-white);
    text-align: center; 
    text-decoration: none; 
    display: inline-block; 
    position: absolute;
    top: .5rem; 
    right: .5rem; 
    border-radius: 50%;
    outline: none;
    line-height: 0;
}
.dialog-details {
    padding: 10px 0;
    background-color: transparent;
    color: inherit;
    border: 2px solid transparent;
    font-size: inherit;
    font-family: inherit;
    text-align: inherit;
    text-decoration: none;
    display: block;
    outline: none;
    cursor: pointer;
}
.dialog-summary {
    border: 2px solid transparent;
    outline: none;
}
.dialog-buttonClose:focus, .dialog-details:focus, .dialog-summary:focus{
    border: 2px solid transparent;
    text-decoration: none;
    outline: none;
}
/*** MEDIA QUERIES ***/
@media screen and (max-width: 1200px) {
    .contenedor-productos {
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media screen and (max-width: 650px) {
    .dialog{
        max-width: 300px;
        flex-direction: column;
        height: 80% !important;
    }
}
@media screen and (max-width: 720px) {
    .contenedor-productos {
        grid-template-columns: 1fr 1fr;
    }
    .select-main{
        display: none; 
     }
}
@media screen and (max-width: 600px) {
    .wrapper {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }
    
    aside {
        position: fixed;
        z-index: 9;
        background-color: var(--clr-main);
        left: 0;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .75);
        transform: translateX(-100%);
        opacity: 0;
        border-radius: 0rem 1rem 1rem 0rem;
        visibility: hidden;
        transition: .2s;
    }
    .aside-visible {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        border-radius: 0 1.5rem 1.5rem 0;
    }
    .boton-menu.active::before,
    .boton-menu.active::after {
        display: none;
    }
    main {
        margin: 1rem;
        margin-top: 7.5rem;
        padding: 1.5rem;       
    }
    .contenedor-productos {
        grid-template-columns: 1fr 1fr;
    }
    .header-mobile {
        position: fixed;
        width: 100%;
        height: 6.5rem;
        background-color: var(--clr-main);
        padding: .5rem 1rem 0 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0 .25rem 1rem .15rem var(--clr-main);
        z-index: 1000;
        color: var(--clr-gray);        
    }
    .logoMobile{
        width: 90px;
        height: 90px;
        border-radius: 50%;           
    }
    .logoMobile img{
        aspect-ratio: 1/1;
        border-radius: 50%;
        width: 100%;
        box-shadow: 0 0 10px 0 rgba(121, 92, 237, 0.9);
     }
    .open-menu {
        background-color: transparent;
        color: var(--clr-gray);
        border: 0;
        font-size: 2rem;
        cursor: pointer;
    }
    .close-menu {
        display: block;
        position: absolute;
        top: .5rem;
        right: .5rem;
        border-radius: 50%;
        background-color: var(--clr-main-light);
        line-height: 0;
        color: var(--clr-gray);
        border: 0;    
        font-size: 1.7rem;
        cursor: pointer;
    }
.list{
    margin-top: .7rem;
    font-size: 2.5rem;
}
.MobileBag {
    position: relative; 
}
.numeritoMobile {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%); 
    font-size: 60%;
    font-weight: 700;
    font-style: normal;
    background-color: var(--clr-gray);
    color: var(--clr-main);    
    border-radius: .25rem;
    line-height: 0;
}
.producto-detalles {
    padding: .3rem;
}
.producto-agregar {
    padding: .1rem;
    border-radius: .8rem;
}
}
@media screen and (max-width: 500px){
    main{
        padding: 1rem;
    }
    .select-mobile{
        max-width: 10rem;
    }
}
@media screen and (max-width: 355px) {
    main{
        padding: 2rem;
    }
    .select-mobile{
        margin: none;
        max-width: 9rem;
        font-size: 1.3rem;
    }
    .select-main{
        max-width: 14rem;
        font-size: 1.3rem;
    }
    .logoMobile{
        width: 85px;
        height: 85px;
    }
    .contenedor-productos {
        grid-template-columns: 1fr;
    }
}
@media screen and (max-width: 320px) {
    main{
        padding: 1rem;
    }
.select-mobile{
    width: 7rem;
    }
.select-main{        
    max-width: 12.5rem;
    font-size: 1rem;
    }
.list{
    margin-top: .7rem;
    font-size: 2rem;
    margin-bottom:  .2rem;
    }
.logoMobile{
    width: 70px;
    height: 70px;
 }
}